---
title: Sweden Phone
slug: api/sweden-phone
icon: {"faIcon":"fa-solid fa-ellipsis-vertical"}
docTags: 
createdAt: 2025-02-28T00:26:19.727Z
---

**Verifies input data against Commercial data obtained from partnered sources in Sweden.**

For Authorization [Get Session Token ](https://app.archbee.com/public/PREVIEW-hnayPWtSAEmBvPEAR1R0A/PREVIEW-xqss5K2lV8fJT_0PV5DBk)from Authentication page.

:::ApiMethodV2
```json
{
  "name": "Sweden Phone",
  "method": "POST",
  "url": "https://idu-test.datazoo.com/api/v2/verify",
  "description": "* Verification Outcome – Returns KYC verification\n* Consumer Consent – N/A\n* Mandatory Input – Name, Address and Phone number\n* Verifies – Name, DOB, Address, Phone and Personal Identity Number\n* Returned Data - Status of the Personal Identity number",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "f2jMy98sIuBrop0Bgc788",
        "language": "curl",
        "code": "curl --location 'https://idu-test.datazoo.com/api/v2/verify' \\\n--header 'Content-Type: application/json' \\\n--data '{\n    \"countryCode\": \"SE\",\n    \"service\": [\n        \"Sweden Phone\"\n    ],\n    \"clientReference\": \"Test_0001\",\n    \"firstName\": \"Fname\", \n    \"middleName\": \"\", \n    \"lastName\": \"Lname\", \n    \"dateofBirth\": \"1990-01-01\", \n    \"addressElement1\": \"123 Victoria Street\", \n    \"addressElement3\": \"Örebro\", \n    \"addressElement5\": \"70234\", \n    \"identityVariables\": {\n        \"phoneNo\": \" 07757565\", \n        \"nationalIDNo\": \"199001010000\" \n    }\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "f2jMy98sIuBrop0Bgc788"
  },
  "results": {
    "languages": [
      {
        "id": "-KLLvb-_jXQIuU-WuWQAF",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"countryCode\": \"Sweden\",\n    \"clientReference\": \"Test_0001\",\n    \"reportingReference\": \"DZ-a96bcbbb-52f4-4c93-888d-afd2e51953e6\",\n    \"matchStatus\": \"Full Match 1+1 Verification\",\n    \"searchErrorMessage\": \"\",\n    \"safeHarbour\": false,\n    \"searchStatus\": \"Successful\",\n    \"serviceResponses\": {\n        \"Sweden Phone\": {\n            \"status\": 0,\n            \"sourceStatus\": \"Successful\",\n            \"errorMessage\": \"\",\n            \"identityVerified\": true,\n            \"safeHarbourScore\": \"M1\",\n            \"nameMatchScore\": \"1.000\",\n            \"addressMatchScore\": \"1.000\",\n            \"verifications\": {\n                \"addressElement1\": true,\n                \"addressElement3\": true,\n                \"addressElement5\": true,\n                \"dateOfBirth\": true,\n                \"firstName\": true,\n                \"lastName\": true,\n                \"nationalIdNo\": true,\n                \"phoneNo\": true\n            },\n            \"returnedData\": {\n                \"nationalIdNoStatus\": \"Active\"\n            }\n        }\n    },\n    \"remarks\": []\n}"
      },
      {
        "id": "AS5tJ4glQVhlG7b69Q21J",
        "language": "404",
        "customLabel": "",
        "code": "{\n  \"message\": \"Ain't no cake like that.\"\n}"
      }
    ],
    "selectedLanguageId": "-KLLvb-_jXQIuU-WuWQAF"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "sessionToken obtained via the Authentication call",
        "": "sessionToken obtained via the Authentication call"
      }
    ],
    "bodyDataParameters": [
      {
        "name": "data",
        "kind": "required",
        "type": "object",
        "description": "request body sent to the API",
        "": "object",
        "children": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "SE"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Sweden Phone"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "the first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "dateOfBirth",
            "kind": "optional",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format"
          },
          {
            "name": "addressElement1",
            "kind": "required",
            "type": "string",
            "description": "the street level address of the identity owner",
            "children": []
          },
          {
            "name": "addressElement3",
            "kind": "required",
            "type": "string",
            "description": "the Town/City of the address",
            "children": []
          },
          {
            "name": "addressElement5",
            "kind": "required",
            "type": "string",
            "description": "the post code of the address",
            "children": []
          },
          {
            "name": "identityVariables",
            "kind": "required",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "phoneNo",
                "kind": "required",
                "type": "string",
                "description": "the phone number of the identity owner"
              },
              {
                "name": "nationalIdNo",
                "kind": "optional",
                "type": "string",
                "description": "Swedish Personal Identity Numbers (Personnummer) of the identity owner"
              }
            ]
          }
        ],
        "schema": [
          {
            "name": "countryCode",
            "kind": "required",
            "type": "string",
            "description": "SE"
          },
          {
            "name": "service",
            "kind": "required",
            "type": "array",
            "description": "Sweden Phone"
          },
          {
            "name": "clientReference",
            "kind": "optional",
            "type": "string",
            "description": "a client reference field"
          },
          {
            "name": "firstName",
            "kind": "required",
            "type": "string",
            "description": "the first name of the identity owner"
          },
          {
            "name": "middleName",
            "kind": "optional",
            "type": "string",
            "description": "the middle name(s) of the identity owner"
          },
          {
            "name": "lastName",
            "kind": "required",
            "type": "string",
            "description": "the last name of the identity owner"
          },
          {
            "name": "dateOfBirth",
            "kind": "optional",
            "type": "string",
            "description": "in YYYY-MM-DD (preferred) or DD-MM-YYYY format"
          },
          {
            "name": "addressElement1",
            "kind": "required",
            "type": "string",
            "description": "the street level address of the identity owner",
            "children": []
          },
          {
            "name": "addressElement3",
            "kind": "required",
            "type": "string",
            "description": "the Town/City of the address",
            "children": []
          },
          {
            "name": "addressElement5",
            "kind": "required",
            "type": "string",
            "description": "the post code of the address",
            "children": []
          },
          {
            "name": "identityVariables",
            "kind": "required",
            "type": "object",
            "description": "other elements for verification",
            "children": [
              {
                "name": "phoneNo",
                "kind": "required",
                "type": "string",
                "description": "the phone number of the identity owner"
              },
              {
                "name": "nationalIdNo",
                "kind": "optional",
                "type": "string",
                "description": "Swedish Personal Identity Numbers (Personnummer) of the identity owner"
              }
            ]
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "countryCode",
      "kind": "optional",
      "type": "string",
      "description": "Sweden",
      "children": []
    },
    {
      "name": "clientReference",
      "kind": "optional",
      "type": "string",
      "description": "the client reference (if given as input) ",
      "children": []
    },
    {
      "name": "reportingReference",
      "kind": "optional",
      "type": "string",
      "description": "a reference number generated which is unique to each transaction. ",
      "children": []
    },
    {
      "name": "validationErrors",
      "kind": "optional",
      "type": "string",
      "description": "Returned with HTTP status code 400 when the request contains invalid or improperly formatted input data.",
      "children": []
    },
    {
      "name": "matchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Full Match 1+1 Verification\" \n\"No Match\" "
    },
    {
      "name": "searchErrorMessage",
      "kind": "optional",
      "type": "string",
      "description": "error message returned querying the data source",
      "children": []
    },
    {
      "name": "safeHarbour",
      "kind": "optional",
      "type": "boolean",
      "description": "true or false",
      "children": []
    },
    {
      "name": "searchStatus",
      "kind": "optional",
      "type": "string",
      "description": "\"Successful\" \n\"Not Successful\"",
      "children": []
    },
    {
      "name": "serviceResponses",
      "kind": "optional",
      "type": "object",
      "description": "Verification Details with \"Sweden Phone\" returned as the Service Identifier. ",
      "children": [
        {
          "name": "status",
          "kind": "optional",
          "type": "integer",
          "description": "0 - identityVerified TRUE - element verifications all TRUE\n1 - identityVerified TRUE - element verifications not all TRUE\n2 - identityVerified FALSE - sourceStatus SUCCESSFUL\n3 - identityVerified FALSE - sourceStatus NOT SUCCESSFUL"
        },
        {
          "name": "sourceStatus",
          "kind": "optional",
          "type": "string",
          "description": "\"Successful\"\n\"Unsuccessful\""
        },
        {
          "name": "errorMessage",
          "kind": "optional",
          "type": "string",
          "description": "error message(s) from the data source.  Example, \"Error querying data source\"."
        },
        {
          "name": "identityVerified",
          "kind": "optional",
          "type": "boolean",
          "description": "true or false"
        },
        {
          "name": "safeHarbourScore",
          "kind": "optional",
          "type": "string",
          "description": "M1, M2, N1, L1, L2, L3, L4, L5, P1, P2, P3, P4, P5, C1, C2, C3, C4, C5 or \"none\"\n* For more information, refer to Safe Harbour Scores page"
        },
        {
          "name": "nameMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "A string that acts as a value between 0.000 and 1.000."
        },
        {
          "name": "addressMatchScore",
          "kind": "optional",
          "type": "string",
          "description": "A string that acts as a value between 0.000 and 1.000."
        },
        {
          "name": "verifications",
          "kind": "optional",
          "type": "object",
          "description": "element level verification returned as true or false\n[Only applicable elements will be included, and not all elements may be present]",
          "children": [
            {
              "name": "addressElement1",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement3",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "addressElement5",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "dateOfBirth",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "firstName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "lastName",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "nationalIdNo",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "phoneNo",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            }
          ]
        },
        {
          "name": "returnedData",
          "kind": "optional",
          "type": "object",
          "description": "status related to ID (Personal Identity Number)",
          "children": [
            {
              "name": "nationalIdNoStatus",
              "kind": "optional",
              "type": "string",
              "description": "\"Active\", \"Inactive\" etc"
            }
          ]
        }
      ]
    },
    {
      "name": "remarks",
      "kind": "optional",
      "type": "array",
      "description": "will return remarks regarding any encountered issues.",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "sweden-phone",
  "legacyHash": "9weDGyHVp8hIRe8dqt3l_"
}
```
:::

***

::::hint{type="info"}
**Links**

:::CtaButton{label="About Safe Harbour Scores" docId="9Fe9gAz4I566ohH2Thslq" openInNewTab="true"}

:::
::::

***

:::Changelog{title="Change History"}
::ChangelogItem{type="added" description="Last updated - 15 April, 2025"}
:::

